package com.huiju.estateagents.common;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;

/**
 * 微信二维码生成工具类
 *
 * @author gusy
 * @date 2020/5/21 15:40
 */
public class WxQrCodeUtils {

    /**
     * 生成scene和页面
     *
     * @param type
     * @param scene  为空则使用配置的通用模板
     * @param params scene为空是必须按照模板内容填写
     * @return
     */
    public static String generateSceneAndPage(String type, String scene, String... params) {
        if (StringUtils.isBlank(scene)) {
            String sceneTemplate = MiniAppPageEnum.getSceneByType(type);
            scene = String.format(sceneTemplate, params);
        }

        JSONObject obj = new JSONObject();
        obj.put("scene", scene);
        obj.put("page", MiniAppPageEnum.getPageByType(type));
        return obj.toJSONString();
    }
}
